package xlsx

import (
	"fmt"
	"testing"
	"time"

	"git.botann.com/lijun/xlsx/imports"
)

type Data struct {
	Autoseq    int
	Name       string `import:"true,index:1"`
	Unit       string `import:"true,index:2"`
	TestCol    string
	Invest     int64     `import:"true,index:3"`
	CreateTime time.Time `import:"true,index:4"`
}

func TestMain(t *testing.T) {
	var data []Data
	importer, err := imports.NewFileImporter("./test7.xlsx", &data, 2)
	if err != nil {
		fmt.Println(err)
	}
	err = importer.Import(0)
	if err != nil {
		fmt.Println(err)
	}
	fmt.Println(data)
}
