# xlsx

excel的导出和导入

## 导出功能
如果要使用导出，则传入的数据必须为指针，类型可以是struct或者元素为struct的slice。  

通过tag来确认需要导出的字段，内容为`export:”x:1,y:1”`，注意下x,y分别表是该字段在excel表格中的起始位置x为col，y为row，且tag中的x,y在数据中需要顺序列出,优先y，其次x。
当导出的excel表格列数不确定时，tag使用`export:"loop:true"`，这样会将所有字段导出到excel表格中。

详情请看测试文件

## 导入功能
如果要使用导入，则传入的数据必须为指针，类型是元素为struct的slice。

通过tag来确认需要导入的字段，内容为`import:"index:1"`，index为excel表格中的列数，从1开始。当需要导入的数据为日期时，结构体中必须为time.Time类型，不可以用自定义的日期类型，且excel表格中的日期格式必须为yyyy-mm-dd或yyyy-mm-dd hh:mm:ss。

详细请看测试文件
