package export

import "github.com/xuri/excelize/v2"

func DefaultTitleStyle() *excelize.Style {
	return &excelize.Style{
		Alignment: &excelize.Alignment{
			Horizontal: "center",
			Vertical:   "center",
			WrapText:   true,
		},
		Font: &excelize.Font{
			Bold: true,
		},
		Fill: excelize.Fill{
			Type:    "pattern",
			Color:   []string{"4aa4ea"},
			Pattern: 1,
		},
		Border: []excelize.Border{
			{
				Type:  "left",
				Color: "000000",
				Style: 1,
			},
			{
				Type:  "top",
				Color: "000000",
				Style: 1,
			},
			{
				Type:  "right",
				Color: "000000",
				Style: 1,
			},
			{
				Type:  "bottom",
				Color: "000000",
				Style: 1,
			},
		},
	}
}

func DefaultCellStyle() *excelize.Style {
	return &excelize.Style{
		Alignment: &excelize.Alignment{
			Horizontal: "center",
			Vertical:   "center",
			WrapText:   true,
		},
		// Font: &excelize.Font{
		// 	Bold: true,
		// },
		// Fill: excelize.Fill{
		// 	Type:    "pattern",
		// 	Color:   []string{"4aa4ea"},
		// 	Pattern: 1,
		// },
		Border: []excelize.Border{
			{
				Type:  "left",
				Color: "000000",
				Style: 4,
			},
			{
				Type:  "top",
				Color: "000000",
				Style: 4,
			},
			{
				Type:  "right",
				Color: "000000",
				Style: 4,
			},
			{
				Type:  "bottom",
				Color: "000000",
				Style: 4,
			},
		},
	}
}
